<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 7</title>
	<script type="text/javascript">
		//Creamos la clase
		let caja=function(a,b,c){
			//propiedad privada
			let unidad="px";

			//propiedades publicas
			this.ancho=a;
			this.alto=b;
			this.texto=c;

			//metodo privado
			function concatenar(){
				this.ancho=this.ancho+unidad;
				this.alto=this.alto+unidad;
			};

			//metodos publicos
			this.mensaje=function(){
				this.texto="esto es un ejemplo";
			};

			this.mostrar=function(){
				alert(this.texto);
			};
		};

		//Creamos el objeto
		let objeto=new caja(10,20,"hola mundo");

		console.log(objeto.alto);
		objeto.mostrar();
	</script>
</head>
<body>
	
</body>
</html>